# Overview

CHTML is a suite of new DOM features that brings language support for modern UI development paradigms: a component-based architecture, data binding, and reactivity. This lets us build elegant user interfaces using the web platform itself.

[Check this project out on GitHub](https://github.com/web-native/chtml).

## Documentation

+ [Scoped HTML](https://docs.web-native.dev/chtml/v1/scoped-html/) - Structure your document as a hierarchy of *scopes* and *subscopes*.
+ [Scoped CSS](https://docs.web-native.dev/chtml/v1/scoped-css/) - Put stylesheets where you need them using Scoped CSS.
+ [Scoped JS](https://docs.web-native.dev/chtml/v1/scoped-js/) - Create behaviours on the fly with scoped scripts.
+ [HTML Partials](https://docs.web-native.dev/chtml/v1/html-partials/) - Define, extend, import/export reusable HTML snippets.

If you'd be interested in the motivation for this project, [here](https://docs.web-native.dev/chtml/v1/explainer.md)'s the explainer.

## Getting Started

+ [Installation](https://docs.web-native.dev/chtml/v1/Installation.md) - Follow the installation guide to add CHTML to your page.
+ [Examples](https://docs.web-native.dev/chtml/v1/examples) - Get a head start with these few examples.

## Issues

To report bugs or request features, please submit an [issue](https://github.com/web-native/chtml/issues).

## License

MIT.
